textures/decals/burnm_01a
{
	polygonOffset
	entityMergable
	qer_trans 0.5
	qer_editorimage textures/decals/burnm_01.tga
	{
		map textures/decals/burnm_01.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen vertex
	}
}

textures/props/flag_c04dm
{
	surfaceparm alphashadow
	deformVertexes wave 10 sin 0 2 0 .2
	//qer_trans 0.9
	qer_editorimage textures/props/flag_c04dm.tga
	cull twosided
	{
		map textures/props/flag_c04dm.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen vertex
	}

}

textures/props/flag_c04dmtad
{
	surfaceparm alphashadow
	deformVertexes wave 10 sin 0 2 0 .2
	//qer_trans 0.9
	qer_editorimage textures/props/flag_c04dmtad.tga
	cull twosided
	{
		map textures/props/flag_c04dmtad.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen vertex
	}

}

textures/wood/wood_m12a
{
	surfaceparm woodsteps
	qer_editorimage textures/wood/wood_m12.tga
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/wood/wood_m12.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/common/terrain_snow
{
	qer_editorimage textures/common/terrain.tga
	surfaceparm snowsteps
	surfaceparm nodraw
	surfaceparm nomarks
	surfaceparm nolightmap
	q3map_terrain
}

textures/skies/mptramsky
{
	qer_editorimage textures/skies/sky_m01dmcmp
	surfaceparm noimpact
	surfaceparm nodlight
	surfaceparm nolightmap
	surfaceparm sky
	q3map_globaltexture
	q3map_lightsubdivide 2048 
	q3map_surfacelight 35
	skyparms full 200 -
	fogvars ( .4 .4 .45 ) 3200	

	{
		map textures/skies/sky_m01dmcmp.tga
		blendfunc GL_ONE GL_ONE
		tcMod scale 12.0 12.0
	}
}

///////////////// tram /////////////////////
//////////////////////////////////////////////

textures/terrain/mxterratram_0
{
	surfaceparm snowsteps
	surfaceparm nolightmap
	q3map_novertexshadows
	q3map_forcesunlight	
	{
		map textures/stone/mxrock4.tga
		rgbGen vertex
		tcmod scale .1 .1
	}	
}

textures/terrain/mxterratram_1
{
	surfaceparm snowsteps
	surfaceparm nolightmap
	q3map_novertexshadows
	q3map_forcesunlight	
	{
		map textures/stone/mxsnow0.tga
		rgbGen vertex
		tcmod scale .025 .025 
	}
}

textures/terrain/mxterratram_2
{
	surfaceparm snowsteps
	surfaceparm nolightmap
	q3map_novertexshadows
	q3map_forcesunlight	
	{
		map textures/stone/mxsnow3.tga
		tcmod scale 0.1 0.1
		rgbGen vertex
	}
}

textures/terrain/mxterratram_3
{
	surfaceparm snowsteps
	surfaceparm nolightmap
	q3map_novertexshadows
	q3map_forcesunlight	
	{
		map textures/stone/mxsnow4.tga
		tcmod scale 0.1 0.1
		rgbGen vertex
	}
}

textures/terrain/mxterratram_0to1
{
	surfaceparm snowsteps
	surfaceparm nolightmap
	q3map_novertexshadows
	q3map_forcesunlight	
	{
		map textures/stone/mxrock4.tga
		rgbGen vertex
		alphaGen vertex
		tcmod scale .1 .1
	}
	{
		map textures/stone/mxsnow0.tga
		rgbGen vertex
		alphaGen vertex
		tcmod scale .025 .025 
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
}

textures/terrain/mxterratram_0to2
{
	surfaceparm snowsteps
	surfaceparm nolightmap
	q3map_novertexshadows
	q3map_forcesunlight	
	{
		map textures/stone/mxrock4.tga
		rgbGen vertex
		alphaGen vertex
		tcmod scale .1 .1
	}
	{
		map textures/stone/mxsnow3.tga
		tcmod scale 0.1 0.1
		rgbGen vertex
		alphaGen vertex
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
}

textures/terrain/mxterratram_0to3
{
	surfaceparm snowsteps
	surfaceparm nolightmap
	q3map_novertexshadows
	q3map_forcesunlight	
	{
		map textures/stone/mxrock4.tga
		rgbGen vertex
		alphaGen vertex
		tcmod scale .1 .1
	}
	{
		map textures/stone/mxsnow4.tga
		tcmod scale 0.1 0.1
		rgbGen vertex
		alphaGen vertex
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
}

textures/terrain/mxterratram_1to2
{
	surfaceparm snowsteps
	surfaceparm nolightmap
	q3map_novertexshadows
	q3map_forcesunlight	
	{
		map textures/stone/mxsnow0.tga
		rgbGen vertex
		alphaGen vertex
		tcmod scale .025 .025 
	}
	{
		map textures/stone/mxsnow3.tga
		tcmod scale 0.1 0.1
		rgbGen vertex
		alphaGen vertex
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
}

textures/terrain/mxterratram_1to3
{
	surfaceparm snowsteps
	surfaceparm nolightmap
	q3map_novertexshadows
	q3map_forcesunlight	
	{
		map textures/stone/mxsnow0.tga
		rgbGen vertex
		alphaGen vertex
		tcmod scale .025 .025 
	}
	{
		map textures/stone/mxsnow4.tga
		tcmod scale 0.1 0.1
		rgbGen vertex
		alphaGen vertex
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
}

textures/terrain/mxterratram_2to3
{
	surfaceparm snowsteps
	surfaceparm nolightmap
	q3map_novertexshadows
	q3map_forcesunlight	
	{
		map textures/stone/mxsnow3.tga
		tcmod scale 0.1 0.1
		rgbGen vertex
		alphaGen vertex
	}
	{
		map textures/stone/mxsnow4.tga
		tcmod scale 0.1 0.1
		rgbGen vertex
		alphaGen vertex
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
}
